Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04892 Misc. Major Always Jun 9, 2012, 20:53 Jun 19, 2012, 12:21
Tester gstrain View Status Public Platform MAME (Official Binary)
Assigned To micko Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved Driver zaxxon.cpp
Version 0.146 Fixed in Version 0.146u2 Build Normal
Summary 04892: zaxxon, congo, congoa: INPs do not play back correctly
Description Between 0.145 and 0.146 something seems to have broken with either recording or playing back .inp files in the zaxxon.c driver. I first found this in the new congoa set that was just added, but have confirmed it also is a problem with the congo and zaxxon sets (and therefore it seems likely that it affects any sets using the zaxxon.c driver although I didn't try any other sets).

In 0.145 I confirmed that I can record and playback .inp files for all 3 of these sets (zaxxon, congo and congoa), however in 0.146 playback does not work and it doesn't even get as far as inserting a credit. I can record and playback .inp files in 0.146 for sets based on other drivers, just not for zaxxon.c.
Steps To Reproduce 1) Try and record a game of zaxxon with the command line "mame zaxxon - record zaxxon".
2) Confirm that a zaxxon.inp file was created from your recording attempt
3) Try and playback your recording with the command line "mame zaxxon - playback zaxxon".
4) The recording will not playback and will not even get as far as inserting a credit.
5) Try the same steps with the congo and congoa sets. The same problem happens.
Additional Information
Flags
Regression Version
Affected Sets / Systems zaxxon, congo, congoa
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.08732
mahlemiut
Developer
Jun 9, 2012, 22:50
Can confirm that this happens in 0.146. Looks like ports with a PORT_CHANGED_MEMBER are being ignored by INP recording/playback. You can insert credits during playback by pressing the coin1 key, which should never happen.
User avatar
No.08736
hap
Developer
Jun 10, 2012, 18:30
Judging from the description+comment, it means the problem is MAME global? not just zaxxon.c
User avatar
No.08742
mahlemiut
Developer
Jun 10, 2012, 22:19
Yes, very likely any port that uses PORT_CHANGED or PORT_CHANGED_MEMBER will cause an issue.